Bug 231180 - www/gitea update to 1.5.1 (fixes security vulnerability)
Summary: www/gitea update to 1.5.1 (fixes security vulnerability)
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Florian Smeets
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2018-09-05 16:46 UTC by stb
Modified: 2018-09-09 17:49 UTC (History)
1 user (show)

See Also:


Attachments
update gitea port to 1.5.1 (818 bytes, patch)
2018-09-05 16:46 UTC, stb
no flags Details | Diff
vuxml entry for gitea issue #4417 (1.25 KB, patch)
2018-09-05 16:47 UTC, stb
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description stb 2018-09-05 16:46:37 UTC
Created attachment 196890 [details]
update gitea port to 1.5.1

Update Gitea to 1.5.1

Release notes: https://blog.gitea.io/2018/09/gitea-1.5.1-is-released/

Three security fixes, general bugfixes, and new features.

vuxml patch attached as well.
Comment 1 stb 2018-09-05 16:47:39 UTC
Created attachment 196891 [details]
vuxml entry for gitea issue #4417
Comment 2 Florian Smeets freebsd_committer 2018-09-06 07:25:52 UTC
Take
Comment 3 commit-hook freebsd_committer 2018-09-09 17:47:13 UTC
A commit references this bug:

Author: flo
Date: Sun Sep  9 17:46:23 UTC 2018
New revision: 479323
URL: https://svnweb.freebsd.org/changeset/ports/479323

Log:
  Document gitea vulnerability.

  PR:		231180
  Submitted by:	stb@lassitu.de
  Security:	7c750960-b129-11e8-9fcd-080027f43a02

Changes:
  head/security/vuxml/vuln.xml
Comment 4 commit-hook freebsd_committer 2018-09-09 17:48:16 UTC
A commit references this bug:

Author: flo
Date: Sun Sep  9 17:47:33 UTC 2018
New revision: 479324
URL: https://svnweb.freebsd.org/changeset/ports/479324

Log:
  Update to 1.5.1

  PR:		231180
  Submitted by:	stb@lassitu.de (maintainer)
  Security:	7c750960-b129-11e8-9fcd-080027f43a02

Changes:
  head/www/gitea/Makefile
  head/www/gitea/distinfo
Comment 5 Florian Smeets freebsd_committer 2018-09-09 17:49:07 UTC
Committed. Thanks.